﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.FullScreenEvent;
	import flash.ui.Mouse;
	 import flash.display.CapsStyle;
    import flash.display.LineScaleMode;
    import fl.motion.MotionEvent;

	
	
		

	public class Damier extends Sprite
	{
		private var col:Number = 15;
		private var line:Number = 15;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 30;
		private var diametre:Number = 90
		
		
		
		public function Damier()
		{
			Mouse.hide();
			grid = new Sprite();
			addChild(grid);
			grid.x = -120;
			grid.y = -120;
			grid.z = -120;
		
			addEventListener(Event.ENTER_FRAME, enterHandler);
			grid.addEventListener(MouseEvent.CLICK, clickHandler);
		}
		
		private function clickHandler(e:MouseEvent):void
		{
			trace("clicK");
			
			
		}
		
		
		
		private function enterHandler(e:Event):void
		{
			
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),0.9999) + Math.pow(i*50-mouseY+grid.y,1));
					if(dist<diametre && dist>=10){
						distx= ((j*40)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*40)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*40+amplitude/distx,"y":i*40+amplitude/disty});
					}else{
						points.push({"x":j*1,"y":i*1});
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(2,0xffffff,Math.random()*0.15,false,LineScaleMode.HORIZONTAL, CapsStyle.ROUND);
			for(var k:Number=0;k<points.length;k++){
				grid.graphics.beginFill(0xffffff,Math.random()*0.5);
				grid.graphics.drawRoundRect(points[k].x,points[k].y,Math.random()*80,Math.random()*60,7,7);
				grid.graphics.beginFill(Math.random()*0x000009,Math.random()*0.5);
				//grid.graphics.drawEllipse(points[k].x,points[k].y,9,9);

				grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
				}
			}
		}
	}
}